//-----------------------------------------------------------------------
// <copyright file=" res_compute.cs">
// * FileName: res_compute.cs
// * history : 2019-03-22 16:41:30 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;

namespace Performance.EntityModels
{
    /// <summary>
    /// res_compute Entity Model
    /// </summary>
    public class res_compute
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
        public int ID { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> AllotID { get; set; }

        /// <summary>
        /// sheet页id
        /// </summary>
        public Nullable<int> SheetID { get; set; }

        /// <summary>
        /// 核算单元
        /// </summary>
        public string AccountingUnit { get; set; }

        /// <summary>
        /// 绩效基数核算参考对象
        /// </summary>
        public Nullable<decimal> FitPeople { get; set; }

        /// <summary>
        /// 人员姓名
        /// </summary>
        public string EmployeeName { get; set; }

        /// <summary>
        /// 绩效合计(来自科室经济测算表)
        /// </summary>
        public Nullable<decimal> PerforTotal { get; set; }

        /// <summary>
        /// 核算单元医生数量(来自科室经济测算表)
        /// </summary>
        public Nullable<decimal> Number { get; set; }

        /// <summary>
        /// 人均绩效(来自科室经济测算表)
        /// </summary>
        public Nullable<decimal> Avg { get; set; }

        /// <summary>
        /// 效率绩效(需计算)
        /// </summary>
        public Nullable<decimal> Efficiency { get; set; }

        /// <summary>
        /// 规模绩效(需计算)
        /// </summary>
        public Nullable<decimal> Scale { get; set; }

        /// <summary>
        /// 应发管理绩效(需计算)
        /// </summary>
        public Nullable<decimal> ShouldGiveFee { get; set; }

        /// <summary>
        /// 发放系数(来自人员名单)
        /// </summary>
        public Nullable<decimal> Grant { get; set; }

        /// <summary>
        /// 考核对分率(来自人员名单)
        /// </summary>
        public Nullable<decimal> ScoreAverageRate { get; set; }

        /// <summary>
        /// 医院奖罚(来自人员名单)
        /// </summary>
        public Nullable<decimal> Punishment { get; set; }

        /// <summary>
        /// 其他绩效(来自人员名单)
        /// </summary>
        public Nullable<decimal> OtherPerfor { get; set; }

        /// <summary>
        /// 应发绩效(需计算)
        /// </summary>
        public Nullable<decimal> GiveFee { get; set; }
    }
}
