﻿using Performance.DtoModels;
using Performance.EntityModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Performance.Services
{
    /// <summary>
    /// 临床科室主任
    /// </summary>
    public class ComputeDirector
    {
        public void Compute(List<im_employee> empolyeeList, List<cof_position> positionList,
            List<res_accountdoctor> doctorList, List<cof_director> directorList)
        {
            var positions = positionList.Where(t => t.JobType == (int)EmpolyeeType.Director);
            var needCompute = empolyeeList.Where(t => positions.Select(s => s.JobTitle).Contains(t.JobTitle));
            foreach (var item in needCompute)
            {
                var resAccount = doctorList.FirstOrDefault(t => t.AccountingUnit == item.AccountingUnit);
                var efficiency = directorList.FirstOrDefault(t => t.TypeName == "效率绩效" && positions.Select(s => s.JobTitle).Contains(t.JobTitle));
                var scale = directorList.FirstOrDefault(t => t.TypeName == "规模绩效" && positions.Select(s => s.JobTitle).Contains(t.JobTitle));
                new res_compute
                {
                    AllotID = item.AllotID,
                    SheetID = item.SheetID,
                    AccountingUnit = item.AccountingUnit,
                    EmployeeName = item.DoctorName,
                    FitPeople = item.FitPeople,

                    Number = resAccount?.Number,
                    PerforTotal = resAccount?.PerforTotal,
                    Avg = resAccount?.Avg,
                    Efficiency = efficiency?.Value * resAccount?.Avg,
                    Scale = scale?.Value * resAccount?.PerforTotal,
                    Grant = item.Grant,
                    ShouldGiveFee = (efficiency?.Value * resAccount?.Avg + scale?.Value * resAccount?.PerforTotal) * item.Grant,
                    //PerforSumFee = 
                    ScoreAverageRate = item.ScoreAverageRate,
                    Punishment = item.Punishment,
                    OtherPerfor = item.OtherPerfor,
                    GiveFee = item.AllotID,
                };
            }
        }
    }
}
